﻿@using System.Web.UI.WebControls

<table cellpadding="0" cellspacing="0">
    <tr>
       <td>
            @*@Html.DevExpress().Label(
                settings => {
                    settings.Name = "lblDock1A";
                    settings.Text = "Dock Code ";
                    settings.ControlStyle.Font.Size = 16;
                    settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                    settings.Width = Unit.Pixel(110);
                }).GetHtml()*@
       </td>
       <td>
            @*@Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "txtDockCodeInput";
                    settings.Text = "";
                    settings.ControlStyle.Font.Size = 16;
                    settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                    settings.Width = Unit.Pixel(100);
                    settings.Properties.MaxLength = 2;
                    settings.ShowModelErrors = true;
                    settings.Properties.ValidationSettings.RequiredField.IsRequired = true;
                    settings.Properties.ValidationSettings.RequiredField.ErrorText = "Dock Code required";
                    settings.Properties.ValidationSettings.ErrorDisplayMode = ErrorDisplayMode.Text;
                }).GetHtml()*@
        </td> 
    </tr>
</table>